Fedora Linux Support Community & Resources Center
  #1  
Old 20th June 2007, 10:09 AM
shikhardadhich Offline
Registered User
 
Join Date: Jun 2007
Posts: 5
How to install VLC plugin in mozilla FireFox

Hi I am using Redhat Fedora 6.0 as my client OS with FF 2.* browser.

But I am not able to install VLC player plugin on it.

Does any one know how to install VLC plugin in Linux.

My code is as :
<object classid="clsid:E23FE9C6-778E-49D4-B537-38FCDE4887D8" codebase="http://downloads.videolan.org/pub/videolan/vlc/latest/win32/axvlc.cab"
width="100%" height="100%" id="video1" events="True">
<param name="Src" value="c:/Office.wmv" />
<param name="ShowDisplay" value="True" />
<param name="AutoLoop" value="True" />
<param name="AutoPlay" value="True" />
<embed type="application/x-vlc-plugin"
name="video1"
autoplay="no" loop="yes" width="10%" height="0%" border=1
target="c:/Office.wmv" /></object>


I have the source code "vlc-0.8.6b" and but when I execute the command :

"./configure --enable-mozilla --disable-mad --disable-wxwidgets --disable-skins2"

the error comes is: "configure: error: Please install the Mozilla development tools, mozilla-config was not found."

Help me ..
Reply With Quote
  #2  
Old 20th June 2007, 10:32 AM
leigh123linux Online
Retired Administrator
 
Join Date: Oct 2006
Posts: 22,109
have you installed firefox-devel ?

su -
yum install firefox-devel
__________________
https://admin.fedoraproject.org/pkgdb/users/packages/leigh123linux

https://badges.fedoraproject.org/user/leigh123linux
Reply With Quote
  #3  
Old 20th June 2007, 11:47 AM
shikhardadhich Offline
Registered User
 
Join Date: Jun 2007
Posts: 5
done but nothing happened..
Error: Missing Dependency: vlc = 0.8.6a is needed by package vlc-plugin

Missing Dependency: vlc = 0.8.6a is needed by package vlc-plugin
Missing Dependency: faad2 < 2.5 is needed by package ffmpeg-libs
Reply With Quote
  #4  
Old 20th June 2007, 12:34 PM
leigh123linux Online
Retired Administrator
 
Join Date: Oct 2006
Posts: 22,109
Quote:
Originally Posted by shikhardadhich
done but nothing happened..
Error: Missing Dependency: vlc = 0.8.6a is needed by package vlc-plugin

Missing Dependency: vlc = 0.8.6a is needed by package vlc-plugin
Missing Dependency: faad2 < 2.5 is needed by package ffmpeg-libs
Is this the output from compile or yum


Have you tried the livna version ?

su -
rpm -i http://rpm.livna.org/livna-release-6.rpm
yum install vlc mozilla-vlc
__________________
https://admin.fedoraproject.org/pkgdb/users/packages/leigh123linux

https://badges.fedoraproject.org/user/leigh123linux
Reply With Quote
  #5  
Old 20th June 2007, 02:20 PM
shikhardadhich Offline
Registered User
 
Join Date: Jun 2007
Posts: 5
I had done this:
rpm -i http://rpm.livna.org/livna-release-6.rpm
yum install vlc mozilla-vlc
But getting error as :
Error: Missing Dependency: vlc = 0.8.6a is needed by package vlc-plugin

I guess I have wrong version of VLC ?
Reply With Quote
  #6  
Old 20th June 2007, 02:46 PM
leigh123linux Online
Retired Administrator
 
Join Date: Oct 2006
Posts: 22,109
Quote:
Originally Posted by shikhardadhich
I had done this:
rpm -i http://rpm.livna.org/livna-release-6.rpm
yum install vlc mozilla-vlc
But getting error as :
Error: Missing Dependency: vlc = 0.8.6a is needed by package vlc-plugin

I guess I have wrong version of VLC ?
can you post the output from this command

yum repolist
__________________
https://admin.fedoraproject.org/pkgdb/users/packages/leigh123linux

https://badges.fedoraproject.org/user/leigh123linux
Reply With Quote
  #7  
Old 20th June 2007, 03:05 PM
shikhardadhich Offline
Registered User
 
Join Date: Jun 2007
Posts: 5
# yum repolist
Loading "installonlyn" plugin

usage: yum [options] < grouplist, localinstall, groupinfo, localupdate, resolvedep, erase, deplist, groupremove, makecache, upgrade, provides, shell, install, whatprovides, groupinstall, update, groupupdate, info, search, check-update, list, remove, clean, grouperase >

options:
-h, --help show this help message and exit
-t, --tolerant be tolerant of errors
-C run entirely from cache, don't update cache
-c [config file] config file location
-R [minutes] maximum command wait time
-d [debug level] debugging output level
-e [error level] error output level
-y answer yes for all questions
--version show Yum version and exit
--installroot=[path] set install root
--enablerepo=[repo] enable one or more repositories (wildcards allowed)
--disablerepo=[repo] disable one or more repositories (wildcards allowed)
-x [package], --exclude=[package]
exclude package(s) by name or glob
--obsoletes enable obsoletes processing during updates
--noplugins disable Yum plugins
[root@infosignzteest ~]#
Reply With Quote
  #8  
Old 20th June 2007, 03:37 PM
leigh123linux Online
Retired Administrator
 
Join Date: Oct 2006
Posts: 22,109
ok try


su -
yum remove vlc*
yum install mozilla-vlc

I guess the F7 yum commands are different

Quote:
[root@localhost ~]# yum --help
Loading "allowdowngrade" plugin
Loading "installonlyn" plugin
Usage: yum [options] < grouplist, localinstall, groupinfo, localupdate, resolvedep, erase, deplist, groupremove, makecache, upgrade, provides, shell, install, whatprovides, groupinstall, update, repolist, groupupdate, info, search, check-update, list, remove, clean, grouperase >

Options:
-h, --help show this help message and exit
-t, --tolerant be tolerant of errors
-C run entirely from cache, don't update cache
-c [config file] config file location
-R [minutes] maximum command wait time
-d [debug level] debugging output level
-e [error level] error output level
-y answer yes for all questions
--version show Yum version and exit
--installroot=[path] set install root
--enablerepo=[repo] enable one or more repositories (wildcards allowed)
--disablerepo=[repo] disable one or more repositories (wildcards allowed)
-x [package], --exclude=[package]
exclude package(s) by name or glob
--obsoletes enable obsoletes processing during updates
--noplugins disable Yum plugins
--nogpgcheck disable gpg signature checking
--allow-downgrade Allow packages to be downgraded
[root@localhost ~]#
__________________
https://admin.fedoraproject.org/pkgdb/users/packages/leigh123linux

https://badges.fedoraproject.org/user/leigh123linux

Last edited by leigh123linux; 20th June 2007 at 03:40 PM.
Reply With Quote
  #9  
Old 23rd June 2007, 07:56 AM
shikhardadhich Offline
Registered User
 
Join Date: Jun 2007
Posts: 5
Nothing happened same issue
Reply With Quote
  #10  
Old 16th June 2012, 10:29 PM
canty978 Offline
Registered User
 
Join Date: Sep 2011
Posts: 2
linuxfirefox
Re: How to install VLC plugin in mozilla FireFox

thanks it worked for me in fedora 17!

[root@localhost canty978]# yum install vlc mozilla-vlc
Reply With Quote
Reply

Tags
firefox, install, mozilla, plugin, vlc

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
F11 x86_64, Firefox 3.5, flash-plugin i386, mozilla-plugin-config bongoman Using Fedora 21 30th July 2009 02:58 AM
Real Player mozilla firefox plugin. DGF Using Fedora 3 11th September 2005 01:26 AM
mplayer plugin for firefox/mozilla imdeemvp Using Fedora 6 4th February 2005 10:19 PM
java plugin in Mozilla/firefox alfredo Using Fedora 19 18th December 2004 12:56 AM
FC2 Mozilla & Firefox woun't lauch after plugin install knoppix Using Fedora 5 12th June 2004 01:44 AM


Current GMT-time: 18:41 (Thursday, 17-04-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat